function string:split(delimiter) --Not by me
	local result = {}
	local from  = 1
	local delim_from, delim_to = string.find( self, delimiter, from  )
	while delim_from do
		table.insert( result, string.sub( self, from , delim_from-1 ) )
		from = delim_to + 1
		delim_from, delim_to = string.find( self, delimiter, from  )
	end
	table.insert( result, string.sub( self, from  ) )
	return result
end
function love.load()
	local validString = love.filesystem.read("valid.txt")
	local validArray = validString:split(" ")
	valid = {}
	for _,keyword in ipairs(validArray) do
		valid[keyword] = true
	end
	guesses = {}
	guess = 1
	beginning = true
	messageOpen = true
	message = "Press enter to clear messages. Please put in the ANSWER"
	answer = ""
end

function love.keypressed(key, unicode)
	-- ignore non-printable characters (see http://www.ascii-code.com/)	
	if unicode > 31 and unicode < 127
		then if (not messageOpen)
			then if beginning
				then answer = string.upper(answer .. string.char(unicode))
				if #answer > 5
					then answer = string.sub(answer, 1, 5)
				end
			else
				guesses[guess].guess = string.upper(guesses[guess].guess .. string.char(unicode))
				if #guesses[guess].guess > 6
					then guesses[guess].guess = string.sub(guesses[guess].guess, 1, 5)
				end
			end
		end
	end
	if key == "backspace"
		then if (not messageOpen)
			then if beginning
				then answer = string.sub(answer,1,(#answer-1))
			else
				guesses[guess].guess = string.sub(guesses[guess].guess,1,(#guesses[guess].guess-1))
			end
		end
	end
	if key == "return"
		then if messageOpen
			then messageOpen = false
			message = ""
		elseif (beginning and (#answer == 5) or ((not beginning) and (#guesses[guess].guess == 6)))
			then if beginning
				then beginning = false
				guess = 1
			else
				if (not message)
					then local letters = guesses[guess].guess:split("")
					local repetition
					for i=1, 5
						do for noti=1,5
							do if i ~= noti
								then if (not repetition)
									then repetition = (letters[i] == letters[noti])
								end
							end
						end
					end
					if repetition
						then message = "Letters are repeated"
						messageOpen = true
					else
						if valid[guesses[guess].guess]
							then local answerletters = answer:split("")
							guesses[guess].perfect = 0
							guesses[guess].almost = 0
							for i=1, 5
								do for k=1,5
									do if answerletters[i] == letters[k]
										then if i == k
											then guesses[guess].perfect = guesses[guess].perfect+1
										else
											guesses[guess].almost = guesses[guess].almost+1
										end
									end
								end
							end
							guess = guess+1
						else
							message = "Not a word"
							messageOpen = true
						end
					end
				end
			end
			guesses[guess] = {}
			guesses[guess].perfect = " "
			guesses[guess].almost = " "
			guesses[guess].guess = " "
		end
	end
end

function love.draw()
	if (not beginning)
		then if #guesses > 1
			then for i= 1, #guesses-1
				do love.graphics.printf(guesses[i].guess .. " " .. guesses[i].perfect .. " " .. guesses[i].almost, 0, i*20, 800)
			end
		end
		love.graphics.printf(guesses[#guesses].guess, 0, #guesses*20, 800)
	end
	love.graphics.printf(message, 400, 0, 400)
	if beginning
		then love.graphics.printf(answer, 0, 0, 800)
	end
end